Skip to main content
POST
Create a monitor

Authorizations

Authorization
string
header
required

Use a user token to access authenticated routes. The token must be specified in the Authorization HTTP header with the following format 'Authorization: Bearer '.

Headers

X-Phare-Project-Id
integer

A project header is required when using an organization-scoped API key.

Example:

1

X-Phare-Project-Slug
string

A project header is required when using an organization-scoped API key.

Example:

"luminous-guiding-tower"

Body

application/json

Monitor request

name
string
required

Monitor name

Required string length: 2 - 45
Example:

"Website"

protocol
enum<string>
required

Monitoring protocol

Available options:
http,
tcp,
icmp
request
HTTP protocol · object
required

Monitoring request, depends of the chosen protocol

regions
enum<string>[]
required

List of regions where monitoring checks are performed

Required array length: 1 - 10 elements
Available options:
as-jpn-hnd,
as-sgp-sin,
as-tha-bkk,
eu-deu-fra,
eu-fra-cdg,
eu-gbr-lhr,
eu-swe-arn,
ng-nld-ams,
na-mex-mex,
na-usa-iad,
na-usa-sea,
oc-aus-syd,
sa-bra-gru
interval
enum<integer>
default:60

Monitoring interval in seconds

Available options:
30,
60,
120,
180,
300,
600,
900,
1800,
3600
Example:

60

timeout
enum<integer>
default:20000

Monitoring timeout in milliseconds

Available options:
1000,
2000,
3000,
4000,
5000,
6000,
7000,
8000,
9000,
10000,
15000,
20000,
25000,
30000
Example:

20000

success_assertions
(Status code assertion · object | Response header assertion · object | Response body assertion · object)[]

List of assertions that must be true for the check to be considered successful. At least one assertion is required for the HTTP protocol, assertions are ignored for the TCP and ICMP protocols.

incident_confirmations
enum<integer>
default:3

Number of uninterrupted failed checks required to create an incident

Available options:
1,
2,
3,
4,
5
Example:

1

recovery_confirmations
enum<integer>
default:3

Number of uninterrupted successful checks required to resolve an incident

Available options:
1,
2,
3,
4,
5
Example:

1

region_threshold
integer
default:1

Number of regions that must fail before an incident is confirmed, cannot exceed the number of selected regions

Required range: 1 <= x <= 10
Example:

1

tags
string[] | null

Resource tags, made of lowercase letters, numbers, ., _, : and -. An organization can have up to 200 tags.

Maximum array length: 20
Required string length: 1 - 100

Response

Success, monitor created

name
string
required

Monitor name

Required string length: 2 - 45
Example:

"Website"

protocol
enum<string>
required

Monitoring protocol

Available options:
http,
tcp,
icmp
request
HTTP protocol · object
required

Monitoring request, depends of the chosen protocol

regions
enum<string>[]
required

List of regions where monitoring checks are performed

Required array length: 1 - 10 elements
Available options:
as-jpn-hnd,
as-sgp-sin,
as-tha-bkk,
eu-deu-fra,
eu-fra-cdg,
eu-gbr-lhr,
eu-swe-arn,
ng-nld-ams,
na-mex-mex,
na-usa-iad,
na-usa-sea,
oc-aus-syd,
sa-bra-gru
id
integer

Monitor ID

Example:

1

project_id
integer

Parent project ID

Example:

1

status
enum<string>

Monitor current status

Available options:
fetching,
online,
offline,
partial,
paused
paused
boolean

Whether the monitor is currently paused

Example:

true

response_time
integer | null

75th percentile (P75) response time of successful checks over the last 7 days, in milliseconds

Example:

123

interval
enum<integer>
default:60

Monitoring interval in seconds

Available options:
30,
60,
120,
180,
300,
600,
900,
1800,
3600
Example:

60

timeout
enum<integer>
default:20000

Monitoring timeout in milliseconds

Available options:
1000,
2000,
3000,
4000,
5000,
6000,
7000,
8000,
9000,
10000,
15000,
20000,
25000,
30000
Example:

20000

success_assertions
(Status code assertion · object | Response header assertion · object | Response body assertion · object)[]

List of assertions that must be true for the check to be considered successful. At least one assertion is required for the HTTP protocol, assertions are ignored for the TCP and ICMP protocols.

incident_confirmations
enum<integer>
default:3

Number of uninterrupted failed checks required to create an incident

Available options:
1,
2,
3,
4,
5
Example:

1

recovery_confirmations
enum<integer>
default:3

Number of uninterrupted successful checks required to resolve an incident

Available options:
1,
2,
3,
4,
5
Example:

1

region_threshold
integer
default:1

Number of regions that must fail before an incident is confirmed, cannot exceed the number of selected regions

Required range: 1 <= x <= 10
Example:

1

tags
string[] | null

Resource tags, made of lowercase letters, numbers, ., _, : and -. An organization can have up to 200 tags.

Maximum array length: 20
Required string length: 1 - 100
last_checked_at
string<date-time> | null

Date of the last performed check with a 30s accuracy

created_at
string<date-time>

Date of creation for the entity

updated_at
string<date-time>

Date of last update for the entity

Last modified on February 8, 2026